import 'package:arch/src/service_registry.dart';

/// Initializes by registering the dependencies for resolution.
abstract class Initializer {
  /// Registers the dependencies to be used.
  /// 
  /// Provides [registry] which you can use to register or resolve
  /// dependencies during initialization.
  void registerTypes(ServiceRegistry registry);
}
